MAV_rectangle(3)

NAME
MAV_rectangle - Default object class ``rectangle''.

LEVEL
Maverik Level 1

SYNTAX

 typedef struct {
  float width;
  float height;
  float xtile;
  float ytile;
  MAV_surfaceParams *sp;
  MAV_matrix matrix;
  void *userdef;
} MAV_rectangle;

DESCRIPTION
The rectangle allows for a simple definition of the common case of a 4-vertex polygon centred at the origin with its normal aligned along the positive Z axis. Is is defined by its width and height along the X and Y axis respectively.